<?php
/**
 * @package linea21.modules
 * @subpackage workshop
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

include_once("../lib/lib_common.php"); 

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];
if(isset($_POST['u_id']))	$u_id=$_POST['u_id'];
if(isset($_GET['u_id']))	$u_id=$_GET['u_id'];

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

//////////// Check Droits utilisateur ////////////  
if (WorkshopAuth_id(GetSessionElement('id'), $sql_object, $id)<>true && !IsSuperAdmin())
ReloadIndex('admin');  
////////////
if (WorkshopAuth_id($u_id, $sql_object, $id)==true && !IsSuperAdmin())
ReloadIndex('admin');  
///////////

$link_det=$rub_link."&amp;todo=det&amp;id=".$id; 
$link_cancel=$rub_link."&amp;todo=det&amp;id=".$id;

if(isset($_POST['valider'])) {
	$workshop_object = new workshop;
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&id=".$id;
	$result=$workshop_object->DeleteUserWorkshop($u_id, $id, $sql_object);
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

$req_det= SQL_getoneCompleteWorkshop($id);
$result=$sql_object->DBSelect($req_det);
$req_det_u=SQL_getoneUser($u_id);
$result_user=$sql_object->DBSelect($req_det_u);
if(count($result_user)>1) exit();
$workshop_denomination=FormatText($result[0]['workshop_denomination']);
$user_login=FormatText($result_user[0]['user_login']);
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home'] ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu']['workshop']?></a>
		</li>
		<li>
			<span><? echo $GLOBALS['lang']['workshop']['del_user']." : ". $user_login; ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<?php afflinkbar($todo,$id, $lang); ?>
<? echo "<h2>".$user_login." (".$GLOBALS['lang']['workshop']['name']." : ".$workshop_denomination.") </h2>"; ?>
<form id="supworkshop" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<div class="info" id="truetransfert1">
<?php echo $GLOBALS['lang']['workshop']['del_user_warning']; ?>
</div>
<div>
<input name="id" type="hidden" value="<?php echo $id; ?>" />
<input name="u_id" type="hidden" value="<?php echo $u_id; ?>" />
<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
<? echo cancel_button($link_cancel); ?>
<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
</div>
</form>
</div>
<?php include_once($dir."/help.php"); ?>
</div>
